package de.unima.ki.javakurs.tag3.kamel;

public class Caravan {

	private Camel firstcamel;

	public Caravan() {

	}

	public int pace() {
		return 0;
	}

	public void addCamel(Camel c) {
		if (firstcamel == null) {
			firstcamel = c;
		} else {
			Camel camel = firstcamel;
			while (camel.getNext() != null) {
				camel = camel.getNext();
			}
			camel.setNext(c);
		}
	}

	public void removeCamel(Camel c) {
		if (c == firstcamel) {
			firstcamel = firstcamel.getNext();
		}
		Camel camel = firstcamel;
		while (camel.getNext() != c) {
			camel = camel.getNext();
		}
		camel.setNext(camel.getNext().getNext());
	}

	public void unload() {
		if (firstcamel == null) {
			return;
		}
		Camel camel = firstcamel;
		camel.setLoad(0);
		while (camel.getNext() != null) {
			camel = camel.getNext();
			camel.setLoad(0);
		}
	}

	public void addLoad(int l) {
		if (firstcamel == null) {
			System.out.println("Karawane enthaelt keine Kamele");
			return;
		}
		while (l != 0) {
			int fastestPace = 0;
			Camel fastestCamel = firstcamel;
			Camel camel = firstcamel;
			while (camel != null) {
				if (camel.pace() > fastestPace) {
					fastestCamel = camel;
					fastestPace = camel.pace();
				}
				camel = camel.getNext();
			}
			if (fastestPace <= 0) {
				System.out
						.println("Die Karawane kann sich jetzt schon nicht mehr bewegen");
				return;
			} else if (fastestPace == 1) {
				System.out
						.println("Keine weitere Beladung moeglich, ansonsten bleibt die Karawane stehen");
				return;
			} else {
				fastestCamel.setLoad(fastestCamel.getLoad() + 1);
			}
			l--;
		}
	}
}
