package de.unima.ki.javakurs.tag3.kamel;

import static org.junit.Assert.*;

import org.junit.Test;

public class CaravanTest {

	@Test
	public void test() {
		Camel c1 = new Camel(5);
		Camel c2 = new Camel(6);
		Camel c3 = new Camel(4);
		
		Caravan caravan = new Caravan();
		caravan.addCamel(c1);
		caravan.addCamel(c2);
		caravan.addCamel(c3);
		caravan.addLoad(3);
		assertEquals(4, c1.pace());
		assertEquals(4, c2.pace());
		assertEquals(4, c3.pace());
		caravan.unload();
		assertEquals(5, c1.pace());
		assertEquals(6, c2.pace());
		assertEquals(4, c3.pace());
	}

}
