package de.unima.ki.javakurs.tag3.kuchen;

public class VerzierterKuchen extends Kuchen {

	private boolean verziert = false;

	public VerzierterKuchen(String sorte, String groesse, String form) {
		super(sorte, groesse, form);

	}

	public void verzieren() {
		if (!gebacken) {
			System.out.println("Der Kuchen muss erst noch gebacken werden");
			return;
		}
		verziert = true;
	}

	public boolean getVerziert() {
		return verziert;
	}

	@Override
	public boolean equals(Object obj) {
		if (!(obj instanceof VerzierterKuchen)) {
			return false;
		}
		VerzierterKuchen k = (VerzierterKuchen) obj;
		if (k.getSorte().equals(sorte) && k.getGroesse().equals(groesse)
				&& k.getForm().equals(form) && k.getGebacken() == gebacken
				&& getVerziert() == verziert) {
			return true;
		}
		return false;
	}

	@Override
	public String toString() {
		String s = "Sorte " + sorte + ", Groesse " + groesse + ", Form " + form
				+ ", Gebacken ";
		if (gebacken) {
			s = s + "ja";
			if (verziert) {
				s = s + ", Verziert ja";
			} else {
				s = s + ", Verziert nein";
			}
		} else {
			s = s + "nein, Verziert nein";
		}

		return s;
	}

}
