package de.unima.ki.javakurs.tag4.poker;

import java.util.ArrayList;


public class Main {

	public static int NUM_OF_ITER = 100000;
	
	public static void main(String[] args) {
		// empty hand
		int counter = 0;
		for (int i = 0; i < NUM_OF_ITER; i++) {
			ArrayList<Card> hand = new ArrayList<Card>();
			// create a stack of cards and shuffle it
			Stack stack = new Stack();
			stack.shuffle();
			// prepare an array and fill it with cards
			for (int j = 0; j < 5; j++) {
				hand.add(stack.pickTopCard());
			}
			if (PokerRules.isFullHouse(hand)) {
				counter++;
			}
		}
		System.out.println("Full house: " + ((double)counter / (double)NUM_OF_ITER ) * 100 + "%");
	}

}
