package de.unima.ki.javakurs.tag4.poker;

import java.util.ArrayList;
import java.util.Collections;

public class PokerRules {
	
	/**
	* Checks whether the hand contains a full house.
	* 
	* @param hand The hand that is checked for a full house.
	* @return True, if hand contains a full house, false otherwise
	*/
	public static boolean isFullHouse(ArrayList<Card> hand) {
		Collections.sort(hand);
		if ((hand.get(0).getValue() == hand.get(2).getValue()) && (hand.get(3).getValue() == hand.get(4).getValue())) {
			return true;
		}
		else if ((hand.get(0).getValue() == hand.get(1).getValue()) && (hand.get(2).getValue() == hand.get(4).getValue())) {
			return true;
		}
		return false;
	}

	
}
